package com.wtkj.wrapper;

import com.wtkj.entity.TaskContract;
import com.wtkj.vo.TaskContractVO;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.api.R;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.core.tool.utils.SpringUtil;
import org.springblade.system.entity.Dept;
import org.springblade.system.feign.ISysClient;

import java.util.Objects;

/**
 * @author Blizzard
 * @create at 2023-09-18 10:36
 * @describe
 */
public class TaskContractWrapper extends BaseEntityWrapper<TaskContract, TaskContractVO> {

	private static ISysClient sysClient;

	public static TaskContractWrapper build() {
		sysClient = SpringUtil.getBean(ISysClient.class);
		return new TaskContractWrapper();
	}

	@Override
	public TaskContractVO entityVO(TaskContract entity) {
		TaskContractVO vo = Objects.requireNonNull(BeanUtil.copy(entity, TaskContractVO.class));
		Long deptId = entity.getOrgDeptId();
		R<Dept> rpc = sysClient.getDept(deptId);
		if (rpc.isSuccess()) {
			vo.setPartyB(rpc.getData().getDeptName());
		}
		return vo;
	}
}
